Open Infrastructure - Task #7129

Turn the netbox installation into a production setup
09/10/2019 05:26 PM - Nico Schottelius

Status: Closed Start date: 09/10/2019
Priority: Normal Due date: 09/15/2019
Assignee: Il nu % Done: 0%
Category: Estimated time: 0.00 hour

Target version:
PM Check date:

Description

¢ Create a new VM
¢ Configure it only using cdist
o No manual package installations/configs/etc.!
e Ensure that netbox is started automatically at boot
e Ensure that a DB dump is made once per 1h
o There is a cdist type / there are types doing this already by crontab
e Ensure there is a backup made to place5
o ping linu for this
¢ DNS name netbox.ungleich.ch
¢ Migrate our networking / ip address page into netbox
e If possible
o Connect netbox to our Idap
e Have it tested by linu
e Document on how to use it (if not obvious)

Related issues:
Related to Open Infrastructure - Task #6998: Install & Setup netbox on an IPv... Closed

07/25/2019

History

#1 - 09/10/2019 05:27 PM - Nico Schottelius

- Related to Task #6998: Install & Setup netbox on an IPv6 only VM and find out how to get / reserve the next free ip address added

#2 - 09/18/2019 08:46 PM - Ahmed Bilal

All instructions/commands are noted to install netbox on alpine. Just need to put it in cdist type.

#3 - 09/19/2019 07:57 AM - Nico Schottelius

Looking forward to see your next cdist type, go ahead Ahmed!

redmine@ungleich.ch writes:

#4 - 09/19/2019 09:54 PM - Ahmed Bilal

cdist type done. Testing underway. Hopefully, create a PR tomorrow.

#5 - 09/21/2019 08:31 PM - Ahmed Bilal

It is working nicely on alpine linux.

| couldn't be able to make __ungleich_postgresql work on alpine correctly specifically there was some cron error.
@Nico Schottelius Backup thing is left and | need little bit guidance about it. LDAP is also left, | would check it also.

https://code.ungleich.ch/ungleich-intern/dot-cdist/merge_requests/56

#6 - 09/22/2019 03:22 PM - Nico Schottelius
Ahmed,

can you try to figure them out with Balazs together?
redmine@ungleich.ch writes:

#7 - 09/22/2019 06:59 PM - Ahmed Bilal

Nico Schottelius wrote:
Ahmed,
can you try to figure them out with Balazs together?

redmine@ungleich.ch writes:

OK. I will.

#8 - 09/26/2019 09:13 PM - Ahmed Bilal

e Ensure-there-is-a-backup-made-to-place5 (It is at place5 so the backup should go to place6. So, | set it to go to place6)

L] T g
¢ Migrate our networking / ip address page into netbox

* i possible

o]
¢ Have it tested by lInu (just asked in infra channel)

¢ Documenton-howtouse-it{ifF-retebvieus) | haven't explore it much so my effort would be same as some one who gonna use it. Still, if document
is needed from me | would be happy to explore and create it.

#9 - 09/28/2019 04:33 PM - Ahmed Bilal
- Status changed from New to Feedback

- Assignee changed from Ahmed Bilal to Nico Schottelius

Everything is done. Just, | think linu haven't completed the testing yet. Merge Request can be found at
https://code.ungleich.ch/ungleich-intern/dot-cdist/merge_requests/56

#10 - 09/28/2019 07:57 PM - Ahmed Bilal

- Assignee changed from Nico Schottelius to Il nu

#11 - 10/14/2019 12:45 PM - Il nu
- Status changed from Feedback to Closed

We reviewed it.

#12 - 10/14/2019 12:46 PM - Il nu
- Status changed from Closed to Feedback

#13 - 10/14/2019 01:44 PM - Il nu
- Status changed from Feedback to Closed
